import { useContext } from 'react'
import './Navigation.css'
import _ from 'lodash'
import { HALL, BEGIN } from '../Constant'
import tableData from '../views/CheckerboardData'
import GlobalSocketContext from '../provider/GlobalSocketContext'
import RevRoomContext from '../provider/RevRoomContext'
const tableDataTemplate = _.cloneDeep(tableData)
const Navigation = function () {
    const { room } = useContext(RevRoomContext)
    const socket = useContext(GlobalSocketContext)
    const beginGame = () => {
        socket.send(JSON.stringify({
            instruct: BEGIN,
            data:tableDataTemplate
        }))
    }
    const backHall = () =>{
        socket.send(JSON.stringify({
            instruct: HALL
        }))
    }
    return (
        <>
            <div className='nav-grid'>
                <div className='back-hall'>
                    <button onClick={backHall}>返回大厅</button>
                </div>
                <div className='nav-item'>
                    <img className='avatar' alt='' src={require("../assets/left.png")} />
                    <div className='text-box'>
                        <span className='user-text'>{(() => {
                            switch (room.status) {
                                case 0: return '未开始'
                                case 1: return '请黑方落子'
                                case 2: return '请白方落子'
                                default: return '未知!'
                            }
                        })()}</span>
                        <span className='user-text'>{room.backUsername}</span>
                    </div>
                </div>
                <div className='nav-item'>
                    <button onClick={beginGame}
                        disabled={room.status === 0 ? false : true}
                        className='beginGame'>{(() => {
                            return room.status === 0 ? '开始游戏' : '游戏进行中'
                        })()} </button>
                </div>
                <div className='nav-item'>
                    <img className='avatar right-avatar' alt='' src={require("../assets/right.png")} />
                    <div className='text-box'>
                        <span className='user-text'>{(() => {
                            switch (room.status) {
                                case 0: return '未开始'
                                case 1: return '请黑方落子'
                                case 2: return '请白方落子'
                                default: return '未知情况'
                            }
                        })()}</span>
                        <span className='user-text'>{room.whiteUsername}</span>
                    </div>
                </div>
            </div>
        </>
    )
}
export default Navigation